AutoSegments_OnContact(3)

NAME
AutoSegments_OnContact - All AutoSegment anchored on a Contact.

SYNOPSIS

Inherits Collection< Type >.

  Public Member Functions
AutoSegments_OnContact (AutoSegment *master, Contact *contact)
AutoSegments_OnContact (const AutoSegments_OnContact &)
virtual AutoSegmentHC * getClone () const
virtual AutoSegmentHL * getLocator () const

Detailed Description

All AutoSegment anchored on a Contact. All AutoSegment Beginning from an AutoContact.

A Collection to iterate over all the AutoSegment anchored on contact. If supplied, the AutoSegment master will be excluded from the list.

Remark: If a Hurricane::Segment is anchored on the contact, but is not
    associated to an AutoSegment, it will be silently skipped.

A Collection to iterate over all the AutoSegment that begin from AutoContact. As AutoSegments are kept orienteds (source anchor must be lower than target), selecting source anchored AutoSegments implies that they are starting from this AutoContact.

Constructor & Destructor Documentation

  AutoSegments_OnContact (AutoSegment * master, Contact * contact) [inline]

Parameters:
    master Exclude this AutoSegment from the Collection.
    contact The Hurricane Contact over which to iterate.

Construct a Collection of all the AutoSegment anchored on contact.

Create the collection of all AutoSegments direcly anchored on contact, with exclusion of master.

  AutoSegments_OnContact (const AutoSegments_OnContact & segments) [inline]
Copy constructor.

Member Function Documentation

  AutoSegmentHC * getClone () const [virtual]
Returns: A deep copy of the Collection.

Implements Collection< Type >.

  AutoSegmentHC * getLocator () const [virtual]
Returns: A deep copy of the Collection Locator.

Implements Collection< Type >.

Author

Generated automatically by Doxygen for Katabatic - Routing Toolbox from the source code.